## file-browser-applet 0.5.6

=== CMakeLists.txt ===
PROJECT (FILE_BROWSER_APPLET C)

#compiler flags
SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -g -Wall -ansi")

#install path options
IF (NOT DEFINED CMAKE_INSTALL_PATH)
	SET (CMAKE_INSTALL_PATH "/usr")
ENDIF (NOT DEFINED CMAKE_INSTALL_PATH)
MESSAGE ("Using CMAKE_INSTALL_PATH=${CMAKE_INSTALL_PATH}")

IF (NOT DEFINED CMAKE_INSTALL_LIB_DIR)
	SET (CMAKE_INSTALL_LIB_DIR "${CMAKE_INSTALL_PATH}/lib")
ENDIF (NOT DEFINED CMAKE_INSTALL_LIB_DIR)
MESSAGE ("Using CMAKE_INSTALL_LIB_DIR=${CMAKE_INSTALL_LIB_DIR}")

IF(NOT DEFINED CMAKE_INSTALL_GCONF_SCHEMA_DIR)
	SET(CMAKE_INSTALL_GCONF_SCHEMA_DIR "${CMAKE_INSTALL_PATH}/share/gconf/schemas")
ENDIF(NOT DEFINED CMAKE_INSTALL_GCONF_SCHEMA_DIR)
MESSAGE ("Using CMAKE_INSTALL_GCONF_SCHEMA_DIR=${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")

IF(NOT DEFINED CMAKE_INSTALL_GLADEUI_DIR)
	SET(CMAKE_INSTALL_GLADEUI_DIR "${CMAKE_INSTALL_PATH}/share/file-browser-applet/glade")
ENDIF(NOT DEFINED CMAKE_INSTALL_GLADEUI_DIR)
MESSAGE ("Using CMAKE_INSTALL_GLADEUI_DIR=${CMAKE_INSTALL_GLADEUI_DIR}")

SUBDIRS (src
		 data
		 pixmaps)

#uninstall target
CONFIGURE_FILE ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
				"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
				IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET (uninstall
				   "${CMAKE_COMMAND}" -P 
				   "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

#target to generate a distribution-ready tarball
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "File Browser Applet")
SET (CPACK_PACKAGE_VENDOR "Axel von Bertoldi")
SET (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET (CPACK_PACKAGE_VERSION_MAJOR 0)
SET (CPACK_PACKAGE_VERSION_MINOR 5)
SET (CPACK_PACKAGE_VERSION_PATCH 6)
SET (CPACK_GENERATOR TGZ)
SET (CPACK_SOURCE_PACKAGE_FILE_NAME
	"file-browser-applet-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET (CPACK_SOURCE_GENERATOR TGZ)
SET (CPACK_SOURCE_IGNORE_FILES
	 "CMakeFiles"
	 "Makefile"
	 "progress.make"
	 "CPack*"
	 "CMakeCache.txt"
	 "cmake_install.cmake"
	 #"cmake_uninstall.cmake"
	 "/*.tar.gz"
	 ".svn"
	 "install_manifest.txt"
	 "install_manifest.txt"
)
INCLUDE (CPack)

ADD_CUSTOM_TARGET (deb checkinstall -D --pkgname="file-browser-applet"
									   --pkgversion="${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
									   --install=0
									   --deldoc=1
									   --backup=0
									   --pkglicense="GPLv2"
									   --maintainer="bertoldia@gmail.com"
									   --pkggroup="GNOME Desktop Environment"
									   --requires="libpanel-applet2-0, libgnomevfs2-0, libgnome-desktop-2, libglade2-0")

ADD_CUSTOM_TARGET (really-clean rm -fr CMakeCache.txt
									   cmake_install.cmake
									   CPackConfig.cmake
									   cmake_uninstall.cmake
									   CMakeFiles
									   CPackSourceConfig.cmake
									   *.deb
									   install_manifest.txt
									   Makefile
									   pixmaps/CMakeFiles
									   pixmaps/cmake_install.cmake
									   pixmaps/Makefile
									   src/file-browser-applet
									   src/cmake_install.cmake
									   src/CMakeFiles
									   src/Makefile)

=== data/CMakeLists.txt ===
SET (SERVER GNOME_FileBrowserApplet_Factory.server)
SET (SCHEMA file-browser-applet.schemas)
SET (GLADEUI file-browser-applet.glade)

CONFIGURE_FILE (${FILE_BROWSER_APPLET_SOURCE_DIR}/data/${SERVER}.in 
				${FILE_BROWSER_APPLET_SOURCE_DIR}/data/${SERVER})

INSTALL (FILES ${SCHEMA}  DESTINATION "${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")
INSTALL (FILES ${SERVER}  DESTINATION "${CMAKE_INSTALL_LIB_DIR}/bonobo/servers")
INSTALL (FILES ${GLADEUI} DESTINATION "${CMAKE_INSTALL_GLADEUI_DIR}")

INSTALL (CODE "EXEC_PROGRAM (\"export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` && gconftool-2 --makefile-install-rule ${CMAKE_INSTALL_GCONF_SCHEMA_DIR}/${SCHEMA}\")")

=== pixmaps/CMakeLists.txt ===
SET (IMAGE "file-browser-applet.png")

#INSTALL (FILES ${IMAGE}  DESTINATION "/usr/share/pixmaps")
#INSTALL (FILES ${IMAGE}  DESTINATION "/usr/share/icons/hicolor/128x128/apps")
INSTALL (FILES ${IMAGE}  DESTINATION "${CMAKE_INSTALL_PATH}/share/pixmaps")
INSTALL (FILES ${IMAGE}  DESTINATION "${CMAKE_INSTALL_PATH}/share/icons/hicolor/128x128/apps")

=== src/CMakeLists.txt ===
INCLUDE (UsePkgConfig)

CONFIGURE_FILE ("${FILE_BROWSER_APPLET_SOURCE_DIR}/src/config.h.in" 
				"${FILE_BROWSER_APPLET_SOURCE_DIR}/src/config.h")

PKGCONFIG (libpanelapplet-2.0
		   LIBPANEL_INCLUDE_DIR
		   LIBPANEL_LINK_DIR
		   LIBPANEL_LINK_FLAGS
		   LIBPANEL_CFLAGS)

PKGCONFIG (gnome-desktop-2.0
		   LIBDESKTOP_INCLUDE_DIR
		   LIBDESKTOP_LINK_DIR
		   LIBDESKTOP_LINK_FLAGS
		   LIBDESKTOP_CFLAGS)

PKGCONFIG (libglade-2.0
		   LIBGLADE_INCLUDE_DIR
		   LIBGLADE_LINK_DIR
		   LIBGLADE_LINK_FLAGS
		   LIBGLADE_CFLAGS)

SET (EXEC file-browser-applet)
SET (SRCS main.c
	 panel-menu-bar.c
 	 menu-browser.c
 	 utils.c
 	 preferences.c
	 vfs.c)

SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${LIBPANEL_CFLAGS} ${LIBGLADE_CFLAGS} ${LIBDESKTOP_CFLAGS}")
ADD_EXECUTABLE (${EXEC} ${SRCS})

# it seems to link file without the dozens of libs this introduces!?
#TARGET_LINK_LIBRARIES (${EXEC} ${LIBPANEL_LINK_FLAGS} ${LIBGLADE_LINK_FLAGS} ${LIBDESKTOP_LINK_FLAGS})
SET (LIBS panel-applet-2 glade-2.0 gnome-desktop-2 gnomevfs-2)
TARGET_LINK_LIBRARIES (${EXEC} ${LIBS})

INSTALL (TARGETS ${EXEC} DESTINATION "${CMAKE_INSTALL_LIB_DIR}/gnome-panel")

#FIXME this tries to configure the glade xml file path 
#CONFIGURE_FILE (${FILE_BROWSER_APPLET_SOURCE_DIR}/src/preferences.h ${FILE_BROWSER_APPLET_SOURCE_DIR}/src/preferences.h)

## file-browser-applet 0.5.9

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.4.7)

PROJECT (FILE_BROWSER_APPLET C)

#compiler flags
SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -g -Wall -ansi")
SET (EXEC file-browser-applet)

#install path options
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_PREFIX)
	SET (CMAKE_INSTALL_PREFIX "/usr")
ENDIF (NOT DEFINED CMAKE_INSTALL_PREFIX)
MESSAGE ("Using CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_LIB_PREFIX)
	SET (CMAKE_INSTALL_LIB_PREFIX "${CMAKE_INSTALL_PREFIX}/lib")
ENDIF (NOT DEFINED CMAKE_INSTALL_LIB_PREFIX)
MESSAGE ("Using CMAKE_INSTALL_LIB_PREFIX=${CMAKE_INSTALL_LIB_PREFIX}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_LIB_EXEC_DIR)
	SET (CMAKE_INSTALL_LIB_EXEC_DIR "${CMAKE_INSTALL_LIB_PREFIX}/${EXEC}")
ENDIF (NOT DEFINED CMAKE_INSTALL_LIB_EXEC_DIR)
MESSAGE ("Using CMAKE_INSTALL_LIB_EXEC_DIR=${CMAKE_INSTALL_LIB_EXEC_DIR}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_BONOBO_DIR)
	SET (CMAKE_INSTALL_BONOBO_DIR "${CMAKE_INSTALL_LIB_PREFIX}/bonobo/servers")
ENDIF (NOT DEFINED CMAKE_INSTALL_BONOBO_DIR)
MESSAGE ("Using CMAKE_INSTALL_BONOBO_DIR=${CMAKE_INSTALL_BONOBO_DIR}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_GCONF_SCHEMA_DIR)
	SET(CMAKE_INSTALL_GCONF_SCHEMA_DIR "${CMAKE_INSTALL_PREFIX}/share/gconf/schemas")
ENDIF(NOT DEFINED CMAKE_INSTALL_GCONF_SCHEMA_DIR)
MESSAGE ("Using CMAKE_INSTALL_GCONF_SCHEMA_DIR=${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_GLADEUI_DIR)
	SET(CMAKE_INSTALL_GLADEUI_DIR "${CMAKE_INSTALL_PREFIX}/share/${EXEC}/glade")
ENDIF(NOT DEFINED CMAKE_INSTALL_GLADEUI_DIR)
MESSAGE ("Using CMAKE_INSTALL_GLADEUI_DIR=${CMAKE_INSTALL_GLADEUI_DIR}")
################################################################################

SUBDIRS (src
		 data
		 pixmaps)

#uninstall target
CONFIGURE_FILE ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
				"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
				IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET (uninstall
				   "${CMAKE_COMMAND}" -P 
				   "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

#target to generate a distribution-ready tarball
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "File Browser Applet")
SET (CPACK_PACKAGE_VENDOR "Axel von Bertoldi")
SET (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET (CPACK_PACKAGE_VERSION_MAJOR 0)
SET (CPACK_PACKAGE_VERSION_MINOR 5)
SET (CPACK_PACKAGE_VERSION_PATCH 9)
SET (CPACK_GENERATOR TGZ)
SET (CPACK_SOURCE_PACKAGE_FILE_NAME
	"${EXEC}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET (CPACK_SOURCE_GENERATOR TGZ)
SET (CPACK_SOURCE_IGNORE_FILES
	 "CMakeFiles"
	 "Makefile"
	 "progress.make"
	 "CPack*"
	 "CMakeCache.txt"
	 "cmake_install.cmake"
	 #"cmake_uninstall.cmake"
	 "/*.tar.gz"
	 ".svn"
	 "install_manifest.txt"
)
INCLUDE (CPack)

ADD_CUSTOM_TARGET (deb checkinstall -D --pkgname="${EXEC}"
									   --pkgversion="${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
									   --install=0
									   --deldoc=1
									   --backup=0
									   --pkglicense="GPLv2"
									   --maintainer="bertoldia@gmail.com"
									   --pkggroup="GNOME Desktop Environment"
									   --requires="libpanel-applet2-0, libglade2-0")

ADD_CUSTOM_TARGET (really-clean rm -fr CMakeCache.txt
									   cmake_install.cmake
									   CPackConfig.cmake
									   cmake_uninstall.cmake
									   CMakeFiles
									   CPackSourceConfig.cmake
									   *.deb
									   install_manifest.txt
									   Makefile
									   pixmaps/CMakeFiles
									   pixmaps/cmake_install.cmake
									   pixmaps/Makefile
									   src/${EXEC}
									   src/cmake_install.cmake
									   src/CMakeFiles
									   src/Makefile)

=== src/CMakeLists.txt ===
INCLUDE (FindPkgConfig)

PKG_CHECK_MODULES (LIBPANEL REQUIRED libpanelapplet-2.0)
PKG_CHECK_MODULES (LIBGLADE REQUIRED libglade-2.0)
PKG_CHECK_MODULES (LIBGIO REQUIRED gio-unix-2.0)
PKG_CHECK_MODULES (LIBGTKHOTKEY gtkhotkey-1.0)

INCLUDE_DIRECTORIES (${LIBPANEL_INCLUDE_DIRS}
					 ${LIBGLADE_INCLUDE_DIRS}
					 ${LIBGIO_INCLUDE_DIRS})

LINK_DIRECTORIES (${LIBPANEL_LIBRARY_DIRS}
				  ${LIBGLADE_LIBRARY_DIRS}
				  ${LIBGIO_LIBRARY_DIRS})

SET (LIBS ${LIBPANEL_LIBRARIES} ${LIBGLADE_LIBRARIES} ${LIBGIO_LIBRARIES})


IF (LIBGTKHOTKEY_FOUND)
	INCLUDE_DIRECTORIES (${LIBGTKHOTKEY_INCLUDE_DIRS})
	LINK_DIRECTORIES (${LIBGTKHOTKEY_LIBRARY_DIRS})
	SET (LIBS ${LIBS} ${LIBGTKHOTKEY_LIBRARIES})
	MESSAGE ("\n-- libgtkhotkey found at ${LIBGTKHOTKEY_LIBRARY_DIRS}. Keyboard hotkey enabled.\n")
	SET (ENABLE_GTK_HOTKEY TRUE)
ELSE (LIBGTKHOTKEY_FOUND)
	MESSAGE ("\n-- libgtkhotkey not found. Keyboard hotkey disabled.\n")
ENDIF (LIBGTKHOTKEY_FOUND)


#SET (ENABLE_CONTEXT_MENU TRUE)
#SET (ENABLE_HELP_DOC TRUE)

CONFIGURE_FILE ("${FILE_BROWSER_APPLET_SOURCE_DIR}/src/config.h.in" 
				"${FILE_BROWSER_APPLET_SOURCE_DIR}/src/config.h")

SET (SRCS main.c
	 panel-menu-bar.c
 	 menu-browser.c
 	 utils.c
 	 preferences.c
	 context-menu.c
	 vfs.c)

ADD_EXECUTABLE (${EXEC} ${SRCS})
TARGET_LINK_LIBRARIES (${EXEC} ${LIBS})

INSTALL (TARGETS ${EXEC} DESTINATION "${CMAKE_INSTALL_LIB_EXEC_DIR}")

## file-browser-applet 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,37 +11,41 @@
 IF (NOT DEFINED CMAKE_INSTALL_PREFIX)
 	SET (CMAKE_INSTALL_PREFIX "/usr")
 ENDIF (NOT DEFINED CMAKE_INSTALL_PREFIX)
-MESSAGE ("Using CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}")
+MESSAGE (STATUS "Using CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}")
 ################################################################################
 IF (NOT DEFINED CMAKE_INSTALL_LIB_PREFIX)
 	SET (CMAKE_INSTALL_LIB_PREFIX "${CMAKE_INSTALL_PREFIX}/lib")
 ENDIF (NOT DEFINED CMAKE_INSTALL_LIB_PREFIX)
-MESSAGE ("Using CMAKE_INSTALL_LIB_PREFIX=${CMAKE_INSTALL_LIB_PREFIX}")
+MESSAGE (STATUS "Using CMAKE_INSTALL_LIB_PREFIX=${CMAKE_INSTALL_LIB_PREFIX}")
 ################################################################################
 IF (NOT DEFINED CMAKE_INSTALL_LIB_EXEC_DIR)
 	SET (CMAKE_INSTALL_LIB_EXEC_DIR "${CMAKE_INSTALL_LIB_PREFIX}/${EXEC}")
 ENDIF (NOT DEFINED CMAKE_INSTALL_LIB_EXEC_DIR)
-MESSAGE ("Using CMAKE_INSTALL_LIB_EXEC_DIR=${CMAKE_INSTALL_LIB_EXEC_DIR}")
+MESSAGE (STATUS "Using CMAKE_INSTALL_LIB_EXEC_DIR=${CMAKE_INSTALL_LIB_EXEC_DIR}")
 ################################################################################
 IF (NOT DEFINED CMAKE_INSTALL_BONOBO_DIR)
 	SET (CMAKE_INSTALL_BONOBO_DIR "${CMAKE_INSTALL_LIB_PREFIX}/bonobo/servers")
 ENDIF (NOT DEFINED CMAKE_INSTALL_BONOBO_DIR)
-MESSAGE ("Using CMAKE_INSTALL_BONOBO_DIR=${CMAKE_INSTALL_BONOBO_DIR}")
+MESSAGE (STATUS "Using CMAKE_INSTALL_BONOBO_DIR=${CMAKE_INSTALL_BONOBO_DIR}")
 ################################################################################
 IF (NOT DEFINED CMAKE_INSTALL_GCONF_SCHEMA_DIR)
 	SET(CMAKE_INSTALL_GCONF_SCHEMA_DIR "${CMAKE_INSTALL_PREFIX}/share/gconf/schemas")
 ENDIF(NOT DEFINED CMAKE_INSTALL_GCONF_SCHEMA_DIR)
-MESSAGE ("Using CMAKE_INSTALL_GCONF_SCHEMA_DIR=${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")
+MESSAGE (STATUS "Using CMAKE_INSTALL_GCONF_SCHEMA_DIR=${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")
 ################################################################################
 IF (NOT DEFINED CMAKE_INSTALL_GLADEUI_DIR)
 	SET(CMAKE_INSTALL_GLADEUI_DIR "${CMAKE_INSTALL_PREFIX}/share/${EXEC}/glade")
 ENDIF(NOT DEFINED CMAKE_INSTALL_GLADEUI_DIR)
-MESSAGE ("Using CMAKE_INSTALL_GLADEUI_DIR=${CMAKE_INSTALL_GLADEUI_DIR}")
+MESSAGE (STATUS "Using CMAKE_INSTALL_GLADEUI_DIR=${CMAKE_INSTALL_GLADEUI_DIR}\n")
 ################################################################################
 
-SUBDIRS (src
-		 data
-		 pixmaps)
+# compile time options
+SET (ENABLE_CONTEXT_MENU TRUE)
+#SET (ENABLE_HELP_DOC TRUE)
+
+ADD_SUBDIRECTORY (data)
+ADD_SUBDIRECTORY (pixmaps)
+ADD_SUBDIRECTORY (src)
 
 #uninstall target
 CONFIGURE_FILE ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
@@ -57,24 +61,28 @@
 SET (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 SET (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
 SET (CPACK_PACKAGE_VERSION_MAJOR 0)
-SET (CPACK_PACKAGE_VERSION_MINOR 5)
-SET (CPACK_PACKAGE_VERSION_PATCH 9)
+SET (CPACK_PACKAGE_VERSION_MINOR 6)
+SET (CPACK_PACKAGE_VERSION_PATCH 1)
 SET (CPACK_GENERATOR TGZ)
 SET (CPACK_SOURCE_PACKAGE_FILE_NAME
 	"${EXEC}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 SET (CPACK_SOURCE_GENERATOR TGZ)
 SET (CPACK_SOURCE_IGNORE_FILES
+	 "CMakeCache.txt"
+	 #"cmake_install.cmake"
+	 "${CPACK_SOURCE_PACKAGE_FILE_NAME}"
+	 "*.tar.gz"
+	 "CPack*"
+	 #"cmake_uninstall.cmake"
 	 "CMakeFiles"
+	 "install_manifest.txt"
 	 "Makefile"
+	 "_CPack_Packages"
+	 "po"
 	 "progress.make"
-	 "CPack*"
-	 "CMakeCache.txt"
-	 "cmake_install.cmake"
-	 #"cmake_uninstall.cmake"
-	 "/*.tar.gz"
 	 ".svn"
-	 "install_manifest.txt"
-)
+     "build"
+	 "doc")
 INCLUDE (CPack)
 
 ADD_CUSTOM_TARGET (deb checkinstall -D --pkgname="${EXEC}"
@@ -89,18 +97,26 @@
 
 ADD_CUSTOM_TARGET (really-clean rm -fr CMakeCache.txt
 									   cmake_install.cmake
+									   ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz
+									   *.deb
 									   CPackConfig.cmake
 									   cmake_uninstall.cmake
 									   CMakeFiles
 									   CPackSourceConfig.cmake
-									   *.deb
 									   install_manifest.txt
 									   Makefile
+									   _CPack_Packages
 									   pixmaps/CMakeFiles
 									   pixmaps/cmake_install.cmake
 									   pixmaps/Makefile
 									   src/${EXEC}
 									   src/cmake_install.cmake
+									   src/config.h
 									   src/CMakeFiles
-									   src/Makefile)
- 
+									   src/Makefile
+									   data/CMakeFiles
+									   data/cmake_install.cmake
+									   data/GNOME_FileBrowserApplet_Factory.server
+									   data/Makefile) 
+
+ADD_CUSTOM_TARGET (xgettext xgettext ${CMAKE_CURRENT_SOURCE_DIR}/src/*.c --output-dir=${CMAKE_CURRENT_SOURCE_DIR}/po --from-code="UTF-8" -C --keyword="_")

=== data/CMakeLists.txt ===
SET (SERVER GNOME_FileBrowserApplet_Factory.server)
SET (SCHEMA ${EXEC}.schemas)
SET (GLADEUI ${EXEC}.glade)

CONFIGURE_FILE (${FILE_BROWSER_APPLET_SOURCE_DIR}/data/${SERVER}.in 
				${FILE_BROWSER_APPLET_SOURCE_DIR}/data/${SERVER})

INSTALL (FILES ${SCHEMA}  DESTINATION "${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")
INSTALL (FILES ${SERVER}  DESTINATION "${CMAKE_INSTALL_BONOBO_DIR}")
INSTALL (FILES ${GLADEUI} DESTINATION "${CMAKE_INSTALL_GLADEUI_DIR}")

INSTALL (CODE "EXEC_PROGRAM (\"export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` && gconftool-2 --makefile-install-rule ${CMAKE_INSTALL_GCONF_SCHEMA_DIR}/${SCHEMA}\")")

=== src/CMakeLists.txt ===
INCLUDE (FindPkgConfig)

PKG_CHECK_MODULES (DEPS REQUIRED gtk+-2.0>=2.14 gio-unix-2.0 libpanelapplet-2.0 libglade-2.0)

INCLUDE_DIRECTORIES (${DEPS_INCLUDE_DIRS})
LINK_DIRECTORIES (${DEPS_LIBRARY_DIRS})
SET (LIBS ${DEPS_LIBRARIES})

OPTION (ENABLE_GTK_HOTKEY "Enable gtkhotkey library" ON)

IF (ENABLE_GTK_HOTKEY)
	PKG_CHECK_MODULES (LIBGTKHOTKEY gtkhotkey-1.0)

	IF (LIBGTKHOTKEY_FOUND)
		INCLUDE_DIRECTORIES (${LIBGTKHOTKEY_INCLUDE_DIRS})
		LINK_DIRECTORIES (${LIBGTKHOTKEY_LIBRARY_DIRS})
		SET (LIBS ${LIBS} ${LIBGTKHOTKEY_LIBRARIES})
		MESSAGE (STATUS "libgtkhotkey found at ${LIBGTKHOTKEY_LIBDIR}. Keyboard hotkey enabled.")
		SET (ENABLE_GTK_HOTKEY TRUE)
	ELSE (LIBGTKHOTKEY_FOUND)
		MESSAGE (STATUS "libgtkhotkey not found. Keyboard hotkey disabled.")
	ENDIF (LIBGTKHOTKEY_FOUND)

ELSE (ENABLE_GTK_HOTKEY)
	MESSAGE (STATUS "libgtkhotkey manually disabled.")
	SET (LIBGTKHOTKEY_FOUND FALSE)
ENDIF (ENABLE_GTK_HOTKEY)
MESSAGE("")

CONFIGURE_FILE ("${FILE_BROWSER_APPLET_SOURCE_DIR}/src/config.h.in" 
				"${FILE_BROWSER_APPLET_SOURCE_DIR}/src/config.h")

SET (SRCS main.c
	 panel-menu-bar.c
 	 menu-browser.c
 	 utils.c
 	 preferences.c
	 context-menu.c
	 vfs.c)

ADD_EXECUTABLE (${EXEC} ${SRCS})
TARGET_LINK_LIBRARIES (${EXEC} ${LIBS})

INSTALL (TARGETS ${EXEC} DESTINATION "${CMAKE_INSTALL_LIB_EXEC_DIR}")

## file-browser-applet 0.6.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.4.7)

PROJECT (FILE_BROWSER_APPLET C)

#compiler flags
SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -g -Wall -ansi")
SET (EXEC file-browser-applet)

#install path options
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_PREFIX)
    SET (CMAKE_INSTALL_PREFIX "/usr")
ENDIF (NOT DEFINED CMAKE_INSTALL_PREFIX)
MESSAGE (STATUS "Using CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_LIB_PREFIX)
    SET (CMAKE_INSTALL_LIB_PREFIX "${CMAKE_INSTALL_PREFIX}/lib")
ENDIF (NOT DEFINED CMAKE_INSTALL_LIB_PREFIX)
MESSAGE (STATUS "Using CMAKE_INSTALL_LIB_PREFIX=${CMAKE_INSTALL_LIB_PREFIX}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_LIB_EXEC_DIR)
    SET (CMAKE_INSTALL_LIB_EXEC_DIR "${CMAKE_INSTALL_LIB_PREFIX}/${EXEC}")
ENDIF (NOT DEFINED CMAKE_INSTALL_LIB_EXEC_DIR)
MESSAGE (STATUS "Using CMAKE_INSTALL_LIB_EXEC_DIR=${CMAKE_INSTALL_LIB_EXEC_DIR}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_BONOBO_DIR)
    SET (CMAKE_INSTALL_BONOBO_DIR "${CMAKE_INSTALL_LIB_PREFIX}/bonobo/servers")
ENDIF (NOT DEFINED CMAKE_INSTALL_BONOBO_DIR)
MESSAGE (STATUS "Using CMAKE_INSTALL_BONOBO_DIR=${CMAKE_INSTALL_BONOBO_DIR}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_GCONF_SCHEMA_DIR)
    SET(CMAKE_INSTALL_GCONF_SCHEMA_DIR "${CMAKE_INSTALL_PREFIX}/share/gconf/schemas")
ENDIF(NOT DEFINED CMAKE_INSTALL_GCONF_SCHEMA_DIR)
MESSAGE (STATUS "Using CMAKE_INSTALL_GCONF_SCHEMA_DIR=${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")
################################################################################
IF (NOT DEFINED CMAKE_INSTALL_BUILDER_UI_DIR)
    SET(CMAKE_INSTALL_BUILDER_UI_DIR "${CMAKE_INSTALL_PREFIX}/share/${EXEC}/builder")
ENDIF(NOT DEFINED CMAKE_INSTALL_BUILDER_UI_DIR)
MESSAGE (STATUS "Using CMAKE_INSTALL_BUILDER_UI_DIR=${CMAKE_INSTALL_BUILDER_UI_DIR}\n")
################################################################################

# compile time options
SET (ENABLE_CONTEXT_MENU TRUE)
#SET (ENABLE_HELP_DOC TRUE)

ADD_SUBDIRECTORY (data)
ADD_SUBDIRECTORY (pixmaps)
ADD_SUBDIRECTORY (src)

#uninstall target
CONFIGURE_FILE ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
                "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
                IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET (uninstall
                   "${CMAKE_COMMAND}" -P 
                   "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

#target to generate a distribution-ready tarball
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "File Browser Applet")
SET (CPACK_PACKAGE_VENDOR "Axel von Bertoldi")
SET (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET (CPACK_PACKAGE_VERSION_MAJOR 0)
SET (CPACK_PACKAGE_VERSION_MINOR 6)
SET (CPACK_PACKAGE_VERSION_PATCH 4)
SET (CPACK_GENERATOR TGZ)
SET (CPACK_SOURCE_PACKAGE_FILE_NAME
    "${EXEC}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET (CPACK_SOURCE_GENERATOR TGZ)
SET (CPACK_SOURCE_IGNORE_FILES
     "CMakeCache.txt"
     #"cmake_install.cmake"
     "${CPACK_SOURCE_PACKAGE_FILE_NAME}"
     "*.tar.gz"
     "CPack*"
     #"cmake_uninstall.cmake"
     "CMakeFiles"
     "install_manifest.txt"
     "Makefile"
     "_CPack_Packages"
     "po"
     "progress.make"
     ".svn"
     "build"
     "doc")
INCLUDE (CPack)

ADD_CUSTOM_TARGET (deb checkinstall -D --pkgname="${EXEC}"
                                       --pkgversion="${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
                                       --install=0
                                       --deldoc=1
                                       --backup=0
                                       --pkglicense="GPLv2"
                                       --maintainer="bertoldia@gmail.com"
                                       --pkggroup="GNOME Desktop Environment"
                                       --requires="libpanel-applet2-0")

ADD_CUSTOM_TARGET (really-clean rm -fr CMakeCache.txt
                                       cmake_install.cmake
                                       ${CPACK_SOURCE_PACKAGE_FILE_NAME}.tar.gz
                                       *.deb
                                       CPackConfig.cmake
                                       cmake_uninstall.cmake
                                       CMakeFiles
                                       CPackSourceConfig.cmake
                                       install_manifest.txt
                                       Makefile
                                       _CPack_Packages
                                       pixmaps/CMakeFiles
                                       pixmaps/cmake_install.cmake
                                       pixmaps/Makefile
                                       src/${EXEC}
                                       src/cmake_install.cmake
                                       src/config.h
                                       src/CMakeFiles
                                       src/Makefile
                                       data/CMakeFiles
                                       data/cmake_install.cmake
                                       data/GNOME_FileBrowserApplet_Factory.server
                                       data/Makefile) 

ADD_CUSTOM_TARGET (xgettext xgettext ${CMAKE_CURRENT_SOURCE_DIR}/src/*.c --output-dir=${CMAKE_CURRENT_SOURCE_DIR}/po --from-code="UTF-8" -C --keyword="_")

## file-browser-applet 0.6.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,17 @@
 
 PROJECT (FILE_BROWSER_APPLET C)
 
-#compiler flags
+# Compiler flags
 SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -g -Wall -ansi")
 SET (EXEC file-browser-applet)
 
-#install path options
+# Version
+################################################################################
+SET (VERSION_MAJOR 0)
+SET (VERSION_MINOR 6)
+SET (VERSION_PATCH 6)
+
+# Install path options
 ################################################################################
 IF (NOT DEFINED CMAKE_INSTALL_PREFIX)
     SET (CMAKE_INSTALL_PREFIX "/usr")
@@ -39,7 +45,7 @@
 MESSAGE (STATUS "Using CMAKE_INSTALL_BUILDER_UI_DIR=${CMAKE_INSTALL_BUILDER_UI_DIR}\n")
 ################################################################################
 
-# compile time options
+# Compile time options
 SET (ENABLE_CONTEXT_MENU TRUE)
 #SET (ENABLE_HELP_DOC TRUE)
 
@@ -47,7 +53,7 @@
 ADD_SUBDIRECTORY (pixmaps)
 ADD_SUBDIRECTORY (src)
 
-#uninstall target
+# Uninstall target
 CONFIGURE_FILE ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
                 IMMEDIATE @ONLY)
@@ -55,34 +61,25 @@
                    "${CMAKE_COMMAND}" -P 
                    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
-#target to generate a distribution-ready tarball
+# Target to generate a distribution-ready tarball
 SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "File Browser Applet")
 SET (CPACK_PACKAGE_VENDOR "Axel von Bertoldi")
 SET (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 SET (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-SET (CPACK_PACKAGE_VERSION_MAJOR 0)
-SET (CPACK_PACKAGE_VERSION_MINOR 6)
-SET (CPACK_PACKAGE_VERSION_PATCH 4)
+SET (CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
+SET (CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
+SET (CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
 SET (CPACK_GENERATOR TGZ)
 SET (CPACK_SOURCE_PACKAGE_FILE_NAME
     "${EXEC}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 SET (CPACK_SOURCE_GENERATOR TGZ)
 SET (CPACK_SOURCE_IGNORE_FILES
-     "CMakeCache.txt"
-     #"cmake_install.cmake"
-     "${CPACK_SOURCE_PACKAGE_FILE_NAME}"
-     "*.tar.gz"
-     "CPack*"
-     #"cmake_uninstall.cmake"
-     "CMakeFiles"
-     "install_manifest.txt"
-     "Makefile"
-     "_CPack_Packages"
-     "po"
-     "progress.make"
+     "GNOME_FileBrowserApplet_Factory.server$"
+     "config.h$"
      ".svn"
      "build"
-     "doc")
+     "doc"
+     "po")
 INCLUDE (CPack)
 
 ADD_CUSTOM_TARGET (deb checkinstall -D --pkgname="${EXEC}"

=== data/CMakeLists.txt ===
SET (SERVER GNOME_FileBrowserApplet_Factory.server)
SET (SCHEMA ${EXEC}.schemas)
SET (BUILDER_UI ${EXEC}.ui)

EXECUTE_PROCESS (COMMAND gtk-builder-convert ${CMAKE_CURRENT_SOURCE_DIR}/${EXEC}.glade
                                             ${CMAKE_CURRENT_SOURCE_DIR}/${BUILDER_UI})

CONFIGURE_FILE (${FILE_BROWSER_APPLET_SOURCE_DIR}/data/${SERVER}.in 
                ${FILE_BROWSER_APPLET_SOURCE_DIR}/data/${SERVER})

INSTALL (FILES ${SCHEMA}  DESTINATION "${CMAKE_INSTALL_GCONF_SCHEMA_DIR}")
INSTALL (FILES ${SERVER}  DESTINATION "${CMAKE_INSTALL_BONOBO_DIR}")
INSTALL (FILES ${BUILDER_UI} DESTINATION "${CMAKE_INSTALL_BUILDER_UI_DIR}")

INSTALL (CODE "EXEC_PROGRAM (\"export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` && gconftool-2 --makefile-install-rule ${CMAKE_INSTALL_GCONF_SCHEMA_DIR}/${SCHEMA}\")")

=== pixmaps/CMakeLists.txt ===
SET (IMAGE "${EXEC}.png")

INSTALL (FILES ${IMAGE}  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps")
INSTALL (FILES ${IMAGE}  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps")

=== src/CMakeLists.txt ===
INCLUDE (FindPkgConfig)

PKG_CHECK_MODULES (DEPS REQUIRED gtk+-2.0>=2.14 gio-unix-2.0 libpanelapplet-2.0)

INCLUDE_DIRECTORIES (${DEPS_INCLUDE_DIRS})
LINK_DIRECTORIES (${DEPS_LIBRARY_DIRS})
SET (LIBS ${DEPS_LIBRARIES})

OPTION (ENABLE_GTK_HOTKEY "Enable gtkhotkey library" ON)

IF (ENABLE_GTK_HOTKEY)
    PKG_CHECK_MODULES (LIBGTKHOTKEY gtkhotkey-1.0)

    IF (LIBGTKHOTKEY_FOUND)
        INCLUDE_DIRECTORIES (${LIBGTKHOTKEY_INCLUDE_DIRS})
        LINK_DIRECTORIES (${LIBGTKHOTKEY_LIBRARY_DIRS})
        SET (LIBS ${LIBS} ${LIBGTKHOTKEY_LIBRARIES})
        MESSAGE (STATUS "libgtkhotkey found at ${LIBGTKHOTKEY_LIBDIR}. Keyboard hotkey enabled.")
        SET (ENABLE_GTK_HOTKEY TRUE)
    ELSE (LIBGTKHOTKEY_FOUND)
        MESSAGE (STATUS "libgtkhotkey not found. Keyboard hotkey disabled.")
    ENDIF (LIBGTKHOTKEY_FOUND)

ELSE (ENABLE_GTK_HOTKEY)
    MESSAGE (STATUS "libgtkhotkey manually disabled.")
    SET (LIBGTKHOTKEY_FOUND FALSE)
ENDIF (ENABLE_GTK_HOTKEY)
MESSAGE("")

CONFIGURE_FILE ("${FILE_BROWSER_APPLET_SOURCE_DIR}/src/config.h.in" 
                "${FILE_BROWSER_APPLET_SOURCE_DIR}/src/config.h")

SET (SRCS main.c
     panel-menu-bar.c
     menu-browser.c
     utils.c
     preferences.c
     context-menu.c
     vfs.c)

ADD_EXECUTABLE (${EXEC} ${SRCS})
TARGET_LINK_LIBRARIES (${EXEC} ${LIBS})

INSTALL (TARGETS ${EXEC} DESTINATION "${CMAKE_INSTALL_LIB_EXEC_DIR}")

=== debian/changelog ===
file-browser-applet (0.6.6-1) unstable; urgency=low

  * New upstream bug-fix release.
   - Correct file order when on lower panel. (Closes: #557510)
  * debian/control:
   - Fix typo in Vcs-Bzr field.
   - Add ${misc:Depends}
   - Bump Standards-Version to 3.8.4, no changes needed.
  * debian/{control, rules, compat}:
   - Move to simplified dh rules.
  * debian/copyright: Clean up to respect current Dep5
  * debian/source/format: Moved to DebSrc version 3.0 (quilt)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 03 Apr 2010 11:45:06 -0400

file-browser-applet (0.6.4-1) unstable; urgency=low

  * New upstream release.
   - Added option to display thumbnails (if available) instead of icons.
   - Usability improvements.
   - Code cleanups.
  * debian/control:
   - Bump standards version to 3.8.3, no changes needed.
   - Add Vcs-Browser field.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 29 Aug 2009 13:32:00 -0400

file-browser-applet (0.6.2-1) unstable; urgency=low

  * New upstream release. (Closes: #504525)
   - Added context menu with a few actions (open-with, new folder here, 
     delete file/folder, create/extract archive, create CD/DVD from 
     file/folder, compile a tex file).
   - Added configuration option to make text vertical/horizontal when 
     the panel is vertical.
   - Added tooltips to configuration dialog.
   - Fixes upstream bugs #21, #30, #34, #37, #39, #43, #44, #45, #49, 
     #51, #56, #59, #60, and #62.
   - Added mnemonic keyboard shortcut to menus for 
     faster keyboard navigation.
   - Added recent documents' support.
   - Improved menu browser focus after context menu close.
   - Added preliminary DnD dragging out of applet. MOVE is the default 
     behaviour.
   - Some code cleanups and plugged memory leaks.
   - Slightly improved "New Folder" dialog.
   - Migrated to gtk+ builder from libglade.
  * debian/control:
   - Add suggests on file-roller, brasero, and rubber 
     for new features.
   - Add Vcs-Bzr field.
   - Drop depricated libglade2-dev Build-Depend
   - Drop unneeded libpanel-applet2-0 Depend. Already picked up by 
     shlibs:Depends.
   - Add versionized Build-Depend on libgtk2.0-dev (>= 2.14)
   - Bump Standards-Version to 3.8.1
  * debian/copyright:
   - Use /usr/share/common-licenses/GPL-2 rather than just GLP.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 11 Apr 2009 17:15:39 -0400

file-browser-applet (0.5.9-1) unstable; urgency=low

  * New upstream release. (Closes: #497078)
  * debian/control:
   - Remove Build-Depend on libgnomevfs2-dev and add Build-Depend
     on libglib2.0-dev as upstream has moved to GIO. (Closes: #493878)
   - Remove depreciated Depends and Build Depends on libgnome-desktop{-dev}
  * Fixes Lintian warning: timewarp-standards-version

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 29 Aug 2008 13:50:51 -0400

file-browser-applet (0.5.6-1) unstable; urgency=low

  * Initial release. (Closes: #484031)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 01 Jun 2008 18:59:43 -0400

=== debian/control ===
Source: file-browser-applet
Section: gnome
Priority: optional
Maintainer: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               pkg-config,
               cmake (>= 2.4.7),
               libpanel-applet2-dev,
               libglib2.0-dev,
               libgtk2.0-dev (>= 2.14)
Standards-Version: 3.8.4
Vcs-Bzr: https://code.launchpad.net/~file-browser-applet-dev/file-browser-applet/debian
Vcs-Browser: http://code.launchpad.net/~file-browser-applet-dev/file-browser-applet/debian/files
Homepage: http://code.google.com/p/gnome-menu-file-browser-applet/

Package: file-browser-applet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: file-roller, brasero, rubber
Description: browse and open files on your computer from the GNOME panel
 An applet for the GNOME Panel that lets you browse and open files in your home 
 directory from your panel, without having to open a file manager.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/gnome-menu-file-browser-applet/ http://gnome-menu-file-browser-applet.googlecode.com/files/file-browser-applet-(.*)\.tar\.gz
